Memory Stores
Delete memories by scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
The name of the memory store.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
scope
string
necessario
The namespace that logically groups and isolates memories to delete, such as a user ID.
Risposte
The request has succeeded.
Corpo
object
enum
necessario
The object type. Always 'memory_store.scope.deleted'.
name
string
necessario
The name of the memory store.
scope
string
necessario
The scope from which memories were deleted.
deleted
boolean
necessario
Whether the deletion operation was successful.
Richiedi
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json